Apache Struts API Documentation: Class InsertTag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.template
Class InsertTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.template.InsertTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class InsertTag
extends javax.servlet.jsp.tagext.TagSupport

This is the tag handler for <template:insert>, which includes a template. The tag's body content consists of <template:put> tags, which are accessed by <template:get> in the template.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  David Geary
See Also:
  Serialized Form

Field Summary
`private ContentMap` | `map` Each insert tag has a map of content.
`private java.lang.String` | `template` The URI of the template.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InsertTag()`

Method Summary
`int` | `doEndTag()` Process the end tag by including the template.
`int` | `doStartTag()` Process the start tag by pushing this tag's map onto the content map stack.
`ContentMap` | `getContentMap()` Get the map attribute.
`java.lang.String` | `getTemplate()` Get the template attribute.
`void` | `put(java.lang.String name, Content content)` This method is a convenience for <template:put> tags for putting content into the map.
`void` | `release()` Reset member values for reuse.
`private void` | `saveException(java.lang.Throwable exception)` Save the specified exception in request scope if there is not already one present.
`void` | `setTemplate(java.lang.String template)` Set the template attribute.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### map

    private ContentMap map

  Each insert tag has a map of content.

### template

    private java.lang.String template

  The URI of the template.

Constructor Detail

### InsertTag

    public InsertTag()

Method Detail

### setTemplate

    public void setTemplate(java.lang.String template)

  Set the template attribute.

### getTemplate

    public java.lang.String getTemplate()

  Get the template attribute.

### getContentMap

    public ContentMap getContentMap()

  Get the map attribute.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag by pushing this tag's map onto the content map stack. See org.apache.struts.taglib.template.util.ContentMapStack.
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag by including the template.
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`

### put

    public void put(java.lang.String name,
                    Content content)

  This method is a convenience for <template:put> tags for putting content into the map.

### release

    public void release()

  Reset member values for reuse. This method calls super.release(), which invokes TagSupport.release(), which typically does nothing.
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### saveException

    private void saveException(java.lang.Throwable exception)

  Save the specified exception in request scope if there is not already one present.
  Parameters:
    `exception` - Exception to be conditionally saved

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation